! Macro - Messages Lab
!
! Author: George P. Burdell
!
startmacro
  pipe on
    panel/setup
    plot/id=myplot/msgid=main nxm.sys.dat.world.shp
    FEATURE label=fea1 table={NAME=FEA1,TYPE=SYMBOL,COLOR=YELLOW} plot=myplot
  pipe off
endmacro


procedure processMessage m:msg
  say "Got message name=^msg.name info=^msg.info data=^msg.data from=^msg.fid"

  if msg.name eqs "MARK" then
    set fea1.x msg.data.lon
    set fea1.y msg.data.lat
  endif
return
